<%
    Private Const CP_UTF8 = 65001

    Dim ActualRows 
    Dim ActualCols
    Dim ActualWidth
    Dim ActualHeight 
    Dim Orientation

	Function GetColorValue(ColorName)
		Dim ColorValue
	    		
		if (ColorName = "White") then
			ColorValue = 255 + 255*256 + 255*256*256 
		elseif (ColorName = "Blue") then
			ColorValue = 255*256*256   
		elseif (ColorName = "Green") then
			ColorValue = 255*256 
		elseif (ColorName = "Red") then
			ColorValue = 255 
		elseif (ColorName = "Black") then
			ColorValue = 0
		end if
		GetColorValue = ColorValue
   End Function

   ' Do the clear-out
   Response.Expires = 0
   Response.Buffer = TRUE
   Response.Clear

   ' The image format is PNG
   Response.ContentType = "image/png"

   ' Display the pdf417 PNG image
   Set pdf417 = Server.CreateObject("MW6PDF417ASP.PDF417ASP")

   pdf417.Data = Request.QueryString("Data")
   pdf417.HandleTilde = CBool(Request.QueryString("HandleTilde")="ON")
   pdf417.BackColor = GetColorValue(Request.QueryString("BackColor"))
   pdf417.BarColor = GetColorValue(Request.QueryString("BarColor"))
   pdf417.BorderStyle = CInt(Request.QueryString("BorderStyle"))   
   pdf417.Mode = CInt(Request.QueryString("Mode"))
   pdf417.ErrorCorrectionLevel = CInt(Request.QueryString("ECLevel"))
   pdf417.NarrowBarWidth = CDbl(Request.QueryString("NarrowBarWidth"))
   pdf417.Orientation = CInt(Request.QueryString("Orientation"))
   pdf417.Columns = CInt(Request.QueryString("PDFColumns"))
   pdf417.Rows = CInt(Request.QueryString("PDFRows"))
   pdf417.TruncateSymbol = CBool(Request.QueryString("TruncateSymbol")="ON")
   pdf417.Y2XRatio = CDbl(Request.QueryString("Y2XRatio"))

   Orientation = CInt(Request.QueryString("Orientation"))

   ' Get the actual rows and columns of PDF417 barcode
   pdf417.GetActualRC ActualRows, ActualCols

   ' Get the actual PDF417 barcode width and height 
   pdf417.GetActualSize ActualWidth, ActualHeight
  
   ' Image size = barcode size + extra space   
   if (Orientation = 0 or Orientation = 2) then
      pdf417.Width = ActualWidth + CInt(Request.QueryString("ExtraWidth"))
      pdf417.Height = ActualHeight + CInt(Request.QueryString("ExtraHeight"))
   else
      pdf417.Height = ActualWidth + CInt(Request.QueryString("ExtraWidth"))
      pdf417.Width = ActualHeight + CInt(Request.QueryString("ExtraHeight")) 
   end if
   
   Response.BinaryWrite(pdf417.PNGImage)
   set pdf417 = Nothing
 
   Response.End
%>

